package com.ssj.service.kmt.correctsys.dto;

import java.io.Serializable;

/**
 * @author Mount Liu
 * @date 2019/5/20
 */
public class TeacherHomeworkDto implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 作业id
     */
    private String homeworkId;
    /**
     * 会员id
     */
    private String vipId;
    /**
     * 姓名
     */
    private String name;
    /**
     * 批改状态（1：未批改；2：批改中；3：已批改）
     */
    private int status;
    /**
     * 花费时间
     */
    private String spendTime;

    /**
     * 等待时间
     */

    private String waitingTime;
    /**
     * 科目
     */
    private String subject;
    /**
     * 年级
     */
    private String grade;
    /**
     * 是否检查
     */
    private int isCheck;
    /**
     * 报错数
     */
    private int wrongCount;

    /**
     * 已批改作业数量
     */
    private int feedbackCount;
    /**
     * 已质检数量
     */
    private int checkCount;
    /**
     * 总数量
     */
    private int picTotal;

    /**
     * 是否能批改
     */
    private int isAllot;

    public int getIsAllot() {
        return isAllot;
    }

    public void setIsAllot(int isAllot) {
        this.isAllot = isAllot;
    }

    public int getCheckCount() {
        return checkCount;
    }

    public void setCheckCount(int checkCount) {
        this.checkCount = checkCount;
    }

    public int getPicTotal() {
        return picTotal;
    }

    public void setPicTotal(int picTotal) {
        this.picTotal = picTotal;
    }

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getSpendTime() {
        return spendTime;
    }

    public void setSpendTime(String spendTime) {
        this.spendTime = spendTime;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public int getIsCheck() {
        return isCheck;
    }

    public void setIsCheck(int isCheck) {
        this.isCheck = isCheck;
    }

    public int getWrongCount() {
        return wrongCount;
    }

    public void setWrongCount(int wrongCount) {
        this.wrongCount = wrongCount;
    }
    public int getFeedbackCount() { return feedbackCount; }

    public void setFeedbackCount(int feedbackCount) { this.feedbackCount = feedbackCount; }

    public String getWaitingTime() { return waitingTime; }

    public void setWaitingTime(String waitingTime) { this.waitingTime = waitingTime; }
}
